QGIS Application - Bug report #13487
QGIS allows to create tables with invalid field names
2015-10-02 12:46 AM - Paolo Cavallini

Status: Open

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:3.0.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21532
Description

QGIS allows you to create a dbf table (associated with a shp) with invalid column names (e.g. "1"). As a consequence, further commands
may obviously fail. IMHO we shouldn't allow invalid names.
See e.g. http://forums.esri.com/Thread.asp?c=93&#38;{=9888#38;=56672

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#2 - 2018-02-25 07:33 PM - Paolo Cavallini
- Affected QGIS version changed from master to 3.0.0
- Description updated

Also accented characters, see #15604
Still true in QGIS 3

#3 - 2018-10-12 04:26 PM - Denis Rouzaud
- % Done changed from 0 to 100
- Status changed from Open to Closed

#4 - 2018-10-12 04:27 PM - Denis Rouzaud

- Status changed from Closed to Open

wrong commit message....

#5 - 2019-03-09 03:12 PM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
http://forums.esri.com/Thread.asp?c=93&#38;f=988&#38;t=56672
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#6 - 2019-03-09 03:24 PM - Giovanni Manghi
- Status changed from Closed to Open
- Resolution deleted (end of life)
